Bug 613134 - [QLogic 5.6 FEAT] Add P3+ AER support to qla2xxx
[QLogic 5.6 FEAT] Add P3+ AER support to qla2xxx
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity high
: rc
: 5.6
Assigned To: Chad Dupuis (Cavium)
Storage QE
: FutureFeature, OtherQA
Depends On:
Blocks: 557597
  Show dependency treegraph
 
Reported: 2010-07-09 15:37 EDT by Chad Dupuis (Cavium)
Modified: 2011-01-13 16:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Placeholder text to announce AER support for new QLogic devices.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:42:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla82xx: support for AER in qla2xxx driver (7.20 KB, patch)
2010-07-27 08:12 EDT, Saurav Kashyap
no flags Details | Diff
AER Support-Return recovered from mmio_enable function for 82XX. (974 bytes, patch)
2010-08-26 06:27 EDT, Saurav Kashyap
no flags Details | Diff

  None (edit)
Description Chad Dupuis (Cavium) 2010-07-09 15:37:51 EDT
This set of patches will add PCI Advanced Error Reporting for the new QLogic P3+ CNA.  Since this CNA exports three different types of PCI functions, NIC (qlcnic), iSCSI (qla4xxx) and FCoE (qla2xxx), there will be a patch for each driver to add the P3+ AER support.
Comment 1 Andrius Benokraitis 2010-07-13 10:28:30 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Placeholder text to announce AER support for new QLogic devices.
Comment 2 Andrius Benokraitis 2010-07-20 00:16:15 EDT
(In reply to comment #0)
> This set of patches will add PCI Advanced Error Reporting for the new QLogic
> P3+ CNA.  Since this CNA exports three different types of PCI functions, NIC
> (qlcnic), iSCSI (qla4xxx) and FCoE (qla2xxx), there will be a patch for each
> driver to add the P3+ AER support.    

Chad, what's the time frame for these patches?
Comment 3 Chad Dupuis (Cavium) 2010-07-20 09:42:59 EDT
(In reply to comment #2)
> (In reply to comment #0)
> > This set of patches will add PCI Advanced Error Reporting for the new QLogic
> > P3+ CNA.  Since this CNA exports three different types of PCI functions, NIC
> > (qlcnic), iSCSI (qla4xxx) and FCoE (qla2xxx), there will be a patch for each
> > driver to add the P3+ AER support.    
> 
> Chad, what's the time frame for these patches?    

Andrius, the time frame is the end of next week (July 30th).  As usual, we'll do the testing and the posting.
Comment 4 Saurav Kashyap 2010-07-27 08:12:15 EDT
Created attachment 434673 [details]
qla82xx: support for AER in qla2xxx driver

qla82xx: support for AER in qla2xxx driver
Comment 5 Chad Dupuis (Cavium) 2010-08-12 09:13:21 EDT
This bz was for AER support across three drivers but it makes more sense now to just include qla2xxx in this patch and use other bz's for qlcnic and qla4xxx.
Comment 6 Saurav Kashyap 2010-08-26 06:27:40 EDT
Created attachment 441170 [details]
AER Support-Return recovered from mmio_enable function for 82XX.

AER Support-Return recovered from mmio_enable function for 82XX.
Comment 9 Jarod Wilson 2010-09-27 15:11:57 EDT
in kernel-2.6.18-225.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 13 Chris Ward 2010-11-09 08:35:04 EST
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).
Comment 14 Chris Ward 2010-12-02 10:28:05 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 15 Chad Dupuis (Cavium) 2010-12-02 15:45:06 EST
Verified at QLogic.
Comment 17 errata-xmlrpc 2011-01-13 16:42:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.